Last Year: The Nightmare System Requirements

Can I Run Last Year: The Nightmare

Check the Last Year: The Nightmare system requirements. Can I Run it? Test your specs and rate your gaming PC. System requirements Lab runs millions of PC requirements tests on over 6,000 games a month.

Last Year: The Nightmare game details

Last Year: The Nightmare is one of the first exclusive games on the Discord Store. This action/survival-horror game is a 5 vs 1 asymmetrical multiplayer game where the group of 5 teenagers must survive the Killer in order to escape with their lives. Each teenager must choose a class/role to fulfill: Assault, Medic, Scout, and Technician.There are also three different Killers in the rotation, each with their own unique skill-set. Jump into the multiplayer action with minimum settings by having at least a GeForce GT 630.

Here are the Last Year: The Nightmare System Requirements (Minimum)

  • CPU: Intel Pentium G4500 / AMD A10-7870K
  • CPU SPEED: Info
  • RAM: 6 GB
  • OS: Windows 7
  • VIDEO CARD: GeForce GT 630 or equivalent
  • PIXEL SHADER: 5.0
  • VERTEX SHADER: 5.0
  • FREE DISK SPACE: 20 GB
  • DEDICATED VIDEO RAM: 1024 MB

Last Year: The Nightmare Recommended Requirements

  • CPU: Intel Core i3-4170 / AMD Ryzen 3 1300X
  • CPU SPEED: Info
  • RAM: 8 GB
  • OS: Windows 7
  • VIDEO CARD: GeForce GTX 760 or equivalent
  • PIXEL SHADER: 5.0
  • VERTEX SHADER: 5.0
  • FREE DISK SPACE: 20 GB
  • DEDICATED VIDEO RAM: 2048 MB
Driver Update Click here for the latest video card drivers
System Requirements Lab may earn affiliate commissions from qualifying purchases via Amazon Associates and other programs


Similar Games System Requirements

Left 4 Dead 2 Similar Games System Requirements
Left 4 Dead 2
Dead by Daylight Similar Games System Requirements
Dead by Daylight
Warhammer: Vermintide 2 Similar Games System Requirements
Warhammer: Vermintide 2